Index: c/src/tests/samples/unlimited/init.c
===================================================================
--- c/src/tests/samples/unlimited/init.c	(revision dee8a5174f40f4caadcde38c81b04165d73774b9)
+++ c/src/tests/samples/unlimited/init.c	(revision f59df6b2baed58229781d8fcda2d5bd3ab753341)
@@ -91,4 +91,5 @@
     {
       printf(" %s : signal task %08x to delete, ", who, task_id[task]);
+      fflush(stdout);
       rtems_event_send(task_id[task], 1);
       task_id[task] = 0;
Index: c/src/tests/samples/unlimited/system.h
===================================================================
--- c/src/tests/samples/unlimited/system.h	(revision dee8a5174f40f4caadcde38c81b04165d73774b9)
+++ c/src/tests/samples/unlimited/system.h	(revision f59df6b2baed58229781d8fcda2d5bd3ab753341)
@@ -16,7 +16,4 @@
 
 #include <rtems.h>
-
-#define TASK_ALLOCATION_SIZE     (5)
-#define CONFIGURE_MAXIMUM_TASKS  rtems_resource_unlimited(TASK_ALLOCATION_SIZE)
 
 #include <tmacros.h>
@@ -50,4 +47,9 @@
 
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
+
+#define TASK_ALLOCATION_SIZE     (5)
+#define CONFIGURE_MAXIMUM_TASKS  rtems_resource_unlimited(TASK_ALLOCATION_SIZE)
+#define CONFIGURE_EXTRA_TASK_STACKS (62 * RTEMS_MINIMUM_STACK_SIZE)
+
 
 #include <confdefs.h>
Index: c/src/tests/samples/unlimited/test1.c
===================================================================
--- c/src/tests/samples/unlimited/test1.c	(revision dee8a5174f40f4caadcde38c81b04165d73774b9)
+++ c/src/tests/samples/unlimited/test1.c	(revision f59df6b2baed58229781d8fcda2d5bd3ab753341)
@@ -54,5 +54,5 @@
     result = rtems_task_create(name,
                                10,
-                               4096,
+                               RTEMS_MINIMUM_STACK_SIZE,
                                RTEMS_DEFAULT_ATTRIBUTES,
                                RTEMS_LOCAL,
@@ -64,4 +64,5 @@
     printf("number = %3i, id = %08x, starting, ", task_count, task_id[task_count]);
     
+    fflush(stdout);
     result = rtems_task_start(task_id[task_count],
                               test_task,
Index: c/src/tests/samples/unlimited/test2.c
===================================================================
--- c/src/tests/samples/unlimited/test2.c	(revision dee8a5174f40f4caadcde38c81b04165d73774b9)
+++ c/src/tests/samples/unlimited/test2.c	(revision f59df6b2baed58229781d8fcda2d5bd3ab753341)
@@ -56,5 +56,5 @@
     result = rtems_task_create(name,
                                10,
-                               4096,
+                               RTEMS_MINIMUM_STACK_SIZE,
                                RTEMS_DEFAULT_ATTRIBUTES,
                                RTEMS_LOCAL,
@@ -65,4 +65,5 @@
     
     printf("number = %3i, id = %08x, starting, ", task_count, task_id[task_count]);
+    fflush(stdout);
     
     result = rtems_task_start(task_id[task_count],
@@ -149,5 +150,5 @@
     result = rtems_task_create(name,
                                10,
-                               4096,
+                               RTEMS_MINIMUM_STACK_SIZE,
                                RTEMS_DEFAULT_ATTRIBUTES,
                                RTEMS_LOCAL,
Index: c/src/tests/samples/unlimited/test3.c
===================================================================
--- c/src/tests/samples/unlimited/test3.c	(revision dee8a5174f40f4caadcde38c81b04165d73774b9)
+++ c/src/tests/samples/unlimited/test3.c	(revision f59df6b2baed58229781d8fcda2d5bd3ab753341)
@@ -64,5 +64,5 @@
     result = rtems_task_create(name,
                                10,
-                               4096,
+                               RTEMS_MINIMUM_STACK_SIZE,
                                RTEMS_DEFAULT_ATTRIBUTES,
                                RTEMS_LOCAL,
@@ -73,4 +73,5 @@
     
     printf("number = %3i, id = %08x, starting, ", task_count, task_id[task_count]);
+    fflush(stdout);
     
     result = rtems_task_start(task_id[task_count],
Index: testsuites/samples/unlimited/init.c
===================================================================
--- testsuites/samples/unlimited/init.c	(revision dee8a5174f40f4caadcde38c81b04165d73774b9)
+++ testsuites/samples/unlimited/init.c	(revision f59df6b2baed58229781d8fcda2d5bd3ab753341)
@@ -91,4 +91,5 @@
     {
       printf(" %s : signal task %08x to delete, ", who, task_id[task]);
+      fflush(stdout);
       rtems_event_send(task_id[task], 1);
       task_id[task] = 0;
Index: testsuites/samples/unlimited/system.h
===================================================================
--- testsuites/samples/unlimited/system.h	(revision dee8a5174f40f4caadcde38c81b04165d73774b9)
+++ testsuites/samples/unlimited/system.h	(revision f59df6b2baed58229781d8fcda2d5bd3ab753341)
@@ -16,7 +16,4 @@
 
 #include <rtems.h>
-
-#define TASK_ALLOCATION_SIZE     (5)
-#define CONFIGURE_MAXIMUM_TASKS  rtems_resource_unlimited(TASK_ALLOCATION_SIZE)
 
 #include <tmacros.h>
@@ -50,4 +47,9 @@
 
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
+
+#define TASK_ALLOCATION_SIZE     (5)
+#define CONFIGURE_MAXIMUM_TASKS  rtems_resource_unlimited(TASK_ALLOCATION_SIZE)
+#define CONFIGURE_EXTRA_TASK_STACKS (62 * RTEMS_MINIMUM_STACK_SIZE)
+
 
 #include <confdefs.h>
Index: testsuites/samples/unlimited/test1.c
===================================================================
--- testsuites/samples/unlimited/test1.c	(revision dee8a5174f40f4caadcde38c81b04165d73774b9)
+++ testsuites/samples/unlimited/test1.c	(revision f59df6b2baed58229781d8fcda2d5bd3ab753341)
@@ -54,5 +54,5 @@
     result = rtems_task_create(name,
                                10,
-                               4096,
+                               RTEMS_MINIMUM_STACK_SIZE,
                                RTEMS_DEFAULT_ATTRIBUTES,
                                RTEMS_LOCAL,
@@ -64,4 +64,5 @@
     printf("number = %3i, id = %08x, starting, ", task_count, task_id[task_count]);
     
+    fflush(stdout);
     result = rtems_task_start(task_id[task_count],
                               test_task,
Index: testsuites/samples/unlimited/test2.c
===================================================================
--- testsuites/samples/unlimited/test2.c	(revision dee8a5174f40f4caadcde38c81b04165d73774b9)
+++ testsuites/samples/unlimited/test2.c	(revision f59df6b2baed58229781d8fcda2d5bd3ab753341)
@@ -56,5 +56,5 @@
     result = rtems_task_create(name,
                                10,
-                               4096,
+                               RTEMS_MINIMUM_STACK_SIZE,
                                RTEMS_DEFAULT_ATTRIBUTES,
                                RTEMS_LOCAL,
@@ -65,4 +65,5 @@
     
     printf("number = %3i, id = %08x, starting, ", task_count, task_id[task_count]);
+    fflush(stdout);
     
     result = rtems_task_start(task_id[task_count],
@@ -149,5 +150,5 @@
     result = rtems_task_create(name,
                                10,
-                               4096,
+                               RTEMS_MINIMUM_STACK_SIZE,
                                RTEMS_DEFAULT_ATTRIBUTES,
                                RTEMS_LOCAL,
Index: testsuites/samples/unlimited/test3.c
===================================================================
--- testsuites/samples/unlimited/test3.c	(revision dee8a5174f40f4caadcde38c81b04165d73774b9)
+++ testsuites/samples/unlimited/test3.c	(revision f59df6b2baed58229781d8fcda2d5bd3ab753341)
@@ -64,5 +64,5 @@
     result = rtems_task_create(name,
                                10,
-                               4096,
+                               RTEMS_MINIMUM_STACK_SIZE,
                                RTEMS_DEFAULT_ATTRIBUTES,
                                RTEMS_LOCAL,
@@ -73,4 +73,5 @@
     
     printf("number = %3i, id = %08x, starting, ", task_count, task_id[task_count]);
+    fflush(stdout);
     
     result = rtems_task_start(task_id[task_count],
